"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDynamicColor = void 0;
var getDynamicColor = function (theme, style, action, status) {
    if (!theme || !theme.colors) {
        console.error('THEME ERROR', 'THEME IS NOT VALID');
        return '';
    }
    if (!theme.colors.statefulElements || !theme.colors.statefulElements[status]) {
        console.error('THEME ERROR', 'STATE NOT FOUND IN THEME');
        return '';
    }
    var stateFulElement = theme.colors.statefulElements[status];
    if (!stateFulElement) {
        console.error('THEME ERROR', 'ACTIONABLE ELEMENT NOT FOUND IN THEME');
        return '';
    }
    var actionableStyles = stateFulElement[action];
    if (!actionableStyles) {
        console.error('THEME ERROR', 'ACTION NOT FOUND IN THIS THEME');
        return '';
    }
    var color = actionableStyles[style];
    if (!color) {
        console.warn('THEME WARN', 'Color was NOT found');
        return '';
    }
    return color;
};
exports.getDynamicColor = getDynamicColor;
//# sourceMappingURL=get-dynamic-color.js.map